#include "C:\emate\em8-project\em8.h"
/*
; Bank 0 address
    CBLOCK 0x20 ;Define GPR variable register locations
          PAB        ;Port A Buffer
          PBB        ;Port B Buffer
          PCB        ;Port C Buffer        
      CNTL      ; timer low
      CNTH      ; timer high
      CNTDL      ; counter devider low
      CNTDH      ; counter devider high
      gb4
;      gb5         ; general buffers
;      gb6
;      gb7
   ENDC
*/
int8  PAB;     //Port A Buffer
int8  PBB;     //Port B Buffer
int8  PCB;     //Port C Buffer
int8  CNTL;    //timer low
int8  CNTH;    //timer high
int8  CNTDL;   //counter divider low
int8  CNTDH;   //counter divider high
int8  gb4;     //general buffers
/*
;********   Constants ********************
CNTDLR   equ    0x64   
CNTDHR     equ    0x01
*/
#define  CNTDLR   0x64
#define  CNTDHR   0x01
/*
;********   Access REG  **********************
; Access registers are used by several calls and services
DBL            equ     0x71           ; Data pointer Low
DBH            equ     0x72           ; Data Pointer High
APL            equ     0x73           ; Address Pointer Low
APH            equ     0x74      ; Address pointer High
UF             equ     0x75      ; User Flags 
CF             equ     0x76           ; Control Flages
DS_READ        equ     0x77      ; input from dip switches
gb0            equ     0x78      ; temp buffers 
gb1            equ     0x79          
gb2            equ     0x7A
gb3            equ     0x7B
DPOINT         equ     0x7C
FSR_Store      equ     0x7D
w_temp         equ     0x7E  ; variable used for interrupt context saving 
status_temp    equ     0x7F  ; variable used for interrupt context saving   
*/
int8  DBL;              //Data pointer Low
int8  DBH;              //Data pointer High
int8  APL;              //Address pointer Low
int8  APH;              //Address pointer High
int8  DS_READ;          //input from DIP switches
int8  gb0,gb1,gb2,gb3;  //temp buffers
int8  DPOINT;
int8  FSR_Store;
/*
;*****   User Flags BIT Def  UF
NU       equ   0x0         
DBu      equ   0x1   ; debounce control buffer
TK       equ   0x2   ; tick set from timer 0
SW_CH    equ   0x3   ;change in reed switch
BCD0     equ   0x4   ;BCD Display Counter
BCD1     equ   0x5   ;BCD Display Counter H
TPWM     equ   0x6   ;Display and read dip switch off
ADCR     equ   0x7   ;AD New Read
;****** Control Flages  CF

FQ       equ   0x3   ;used for FQ mode select
TRG      equ   0x4   ;trigger bit used to store last trigger
CNT_ON   equ   0x5   ;counter on bit counter timrt on off control
AD_DIP   equ   0x6   ;selects if DIP is read for input select (Bits 1 and 2)   
AD_JUS   equ   0x7   ;set right if set
*/
typedef struct{
   int8  NU:1;
   int8  DBu:1;      //debounce control buffer
   int8  TK:1;       //tick set from timer 0
   int8  SW_CH:1;    //change in reed switch
   int8  BCD0:1;     //BCD Display Counter
   int8  BCD1:1;     //BCD Display Counter H
   int8  TPWM:1;     //Display and read dip switch off
   int8  ADCR:1;     //AD New Read
}UFFLAGS;

typedef struct{
   int8  na:3;
   int8  FQ:1;       //used for FQ mode select
   int8  TRG:1;      //trigger bit used to store last trigger
   int8  CNT_ON:1;   //counter on bit counter timrt on off control
   int8  AD_DIP:1;   //selects if DIP is read for input select (Bits 1 and 2)
   int8  AD_JUS:1;   //set right if set
}CFFLAGS;

UFFLAGS UF;
CFFLAGS CF;
void main()
{

   setup_adc_ports(NO_ANALOGS|VSS_VDD);
   setup_adc(ADC_OFF);
   setup_spi(SPI_SS_DISABLED);
   setup_timer_0(RTCC_INTERNAL|RTCC_DIV_1);
   setup_timer_1(T1_DISABLED);
   setup_timer_2(T2_DISABLED,0,1);
   setup_comparator(NC_NC_NC_NC);// This device COMP currently not supported by the PICWizard
//Setup_Oscillator parameter not selected from Intr Oscillator Config tab

   // TODO: USER CODE!!

}
